# -*- coding: utf-8 -*-
"""
update mesh files

USAGE

    python -m thyrsis.database.debit_massique_eau [database.sqlite]

    update mesh files
"""
from builtins import str

from ..database import _execute_statements

if __name__ == "__main__":
    import sys
    import os
    from ..database import sqlite
    from ..settings import Settings

    if len(sys.argv) == 2 and sys.argv[1] in ["-h","--help"]:
        help(sys.modules[__name__])
        exit(0)

    mesh_dir = str(Settings().value("General", "defaultMeshDir"))
    if len(sys.argv) == 2:
        if sys.argv[1][-7:] == '.sqlite':
            db_list = [sys.argv[1]]
            dir_name = "."
            # fix_print_with_import
            print("upgrading", sys.argv[1], "database")
    else:
        db_list = sorted(os.listdir(mesh_dir))
        dir_name = mesh_dir
        # fix_print_with_import
        print("upgrading", mesh_dir, "directory")

    for db in db_list:
        # fix_print_with_import
        print("updating debit_massique_eau in", db)

        dst = sqlite.connect(os.path.join(dir_name, db))
        dcur = dst.cursor()
        mesh_db = dcur.execute("SELECT nom_db_maillage FROM simulations").fetchone()[0]
        mesh_db += '.mesh.sqlite'

        src = sqlite.connect(os.path.join(mesh_dir, mesh_db))
        scur = src.cursor()
        values = scur.execute("SELECT debit_massique_eau, OGC_FID from noeuds").fetchall()

        dcur.executemany("UPDATE noeuds SET debit_massique_eau = ? WHERE OGC_FID = ?", values)

        dst.commit()
        dst.close()

